#!/bin/sh
###################################
#Created By RAED 22-02-2021 Boxes #
###################################
FIN="=================================================="
#### Tmp work director 
TMPDIR='/tmp/RAED'
BINPATH='/tmp/RAED/CCcam239'
ARMBIN='/tmp/RAED/ARM/CCcam239'
MIPSBIN='/tmp/RAED/MIPS/CCcam239'
AARCH64BIN='/tmp/RAED/AARCH64/CCcam239'
#### Path of opkg files
STATUS='/var/lib/opkg/status'
INFO='/var/lib/opkg/info'
#### checking your device path
CHECK='/tmp/check'
### find image name type
GP3='/usr/lib/enigma2/python/Plugins/Bp/geminimain'
BLACKHOLE='/usr/lib/enigma2/python/Blackhole'
OPENBH='/usr/lib/enigma2/python/Screens/BpBlue.pyo'
MEDIASAT='/usr/lib/enigma2/python/MediaSat'
TSIMAGE='/usr/lib/enigma2/python/Plugins/TSimage'
VTI='/usr/lib/enigma2/python/Plugins/SystemPlugins/VTIPanel'
MERLIN3='/usr/lib/enigma2/python/Plugins/Extensions/AddOnManager'
DREAMELITE='/usr/lib/enigma2/python/DE'
Demoni='/usr/lib/enigma2/python/Plugins/SystemPlugins/DemonisatManager'
OPENDROID='/usr/lib/enigma2/python/OPENDROID'
EGAMI='/usr/lib/enigma2/python/EGAMI'
Satdreamgr='/usr/lib/enigma2/python/Plugins/Satdreamgr'
Powerboard='/usr/lib/enigma2/python/Plugins/Extensions/PowerboardCenter'
PKT='/usr/lib/enigma2/python/Plugins/Extensions/PKT'
OPENVIX='/usr/lib/enigma2/python/Plugins/SystemPlugins/ViX'
Domica='/usr/lib/enigma2/python/Plugins/Domica'
HDMU='/usr/lib/enigma2/python/Plugins/Extensions/HDMUCenter'
OPENLD='/usr/lib/enigma2/python/Plugins/Extensions/LDteam'
LT='/usr/lib/enigma2/python/LT'
TDW='/usr/lib/enigma2/python/Plugins/Extensions/TDW'
OPENHDF='/usr/lib/enigma2/python/Plugins/Extensions/HDF-Toolbox'
OPENESI='/usr/lib/enigma2/python/Plugins/Extensions/ExtraAddonss'
NonSoloSat='/usr/lib/enigma2/python/Plugins/Extensions/NssPanel'
NEWNIGMA2='/usr/lib/enigma2/python/Plugins/newnigma2'
SATLODGE='/usr/lib/enigma2/python/Plugins/SatLodge'
DreamOSat='/usr/lib/enigma2/python/Plugins/Extensions/DreamOSatcamManager'
OpenSourceImage='/usr/lib/enigma2/python/Tools/StbHardware.pyo'
########### check version of image and libcrypt to support correct bin file #####
echo $FIN
echo ':I m checking your device s processor ...'
sleep 1;
if [ -n "$(uname -m | grep armv7l)" ]; then
   echo $FIN
   echo ':Your Device IS ARM processor ...'
   echo $FIN
   cp -f /tmp/RAED/ARM/CCcam239 /tmp/RAED
   if [ ! -f /usr/lib/libcrypt.so.1.1.0 ]; then # checking libcrypt
       cp -f /tmp/RAED/ARM/libcrypt.so.1.1.0 /usr/lib
       ln -sfn libcrypt.so.1.1.0 /usr/lib/libcrypt.so.1
   fi
   if [ -f "/proc/stb/info/vumodel" ]; then
   	if [ -r $BLACKHOLE -o -r $VTI ]; then
		cp -f /tmp/RAED/ARM/libstdc++.so.6 /usr/lib
	fi
   fi
elif [ -n "$(uname -m | grep mips)" ]; then
   echo $FIN
   echo ':Your Device IS MIPS processor ...'
   echo $FIN
   cp -f /tmp/RAED/MIPS/CCcam239 /tmp/RAED
   if [ ! -f /usr/lib/libcrypt.so.1.1.0 ]; then # checking libcrypt
       cp -f /tmp/RAED/MIPS/libcrypt.so.1.1.0 /usr/lib
       ln -sfn libcrypt.so.1.1.0 /usr/lib/libcrypt.so.1
   fi
#elif [ -n "$(uname -m | grep aarch64)" ]; then
#   echo $FIN
#   echo ':Your Device IS AARCH64 processor ...'
#   echo $FIN
#   cp -f /tmp/RAED/AARCH64/CCcam239 /tmp/RAED
elif [ -n "$(uname -m | grep 7401c0)" ]; then #dm800 clone
   echo $FIN
   echo ':Your Device IS dm800 clone processor ...'
   echo $FIN
   if [ ! -f /usr/lib/libcrypt.so.1.1.0 ]; then # checking libcrypt
       cp -f /tmp/RAED/MIPS/libcrypt.so.1.1.0 /usr/lib
       ln -sfn libcrypt.so.1.1.0 /usr/lib/libcrypt.so.1
   fi
   cp -f /tmp/RAED/MIPS/CCcam239 /tmp/RAED
else
   echo $FIN
   echo 'Sorry, your device does not have the proper Emu'
   rm -rf /tmp/RAED > /dev/null 2>&1
   exit 1
fi
echo "";
#########
if [ -r $GP3 ]; then
   echo "GP3 image"
   cp -rf $TMPDIR/GP3/* / > /dev/null 2>&1
   cp -rf $BINPATH /usr/bin > /dev/null 2>&1
else
if [ -r $DreamOSat ]; then
   echo "DreamOSat camManager"
   cp -rf $TMPDIR/DreamOSat/* / > /dev/null 2>&1
   cp -rf $BINPATH /usr/bin > /dev/null 2>&1
elif grep -qs -i "OoZooN" /etc/image-version; then
   echo "OoZooN image"
   if [ ! -r /usr/camd ]; then
        mkdir -p /usr/camd > /dev/null 2>&1
   fi
   cp -rf $TMPDIR/oozoon/* / > /dev/null 2>&1
   cp -rf $BINPATH /usr/camd > /dev/null 2>&1
elif grep -qs -i "ItalySat" /etc/image-version; then
   echo "ItalySat image"
   if [ ! -d /var/bin ]; then
      ln -sfn /usr/bin /var/bin
   fi
   if [ ! -d /var/emuscript ]; then
      ln -sfn /usr/emuscript /var/emuscript
   fi
   cp -rf $TMPDIR/italysat/* / > /dev/null 2>&1
   cp -rf $BINPATH /usr/bin > /dev/null 2>&1
elif grep -qs -i "OpenSPA" /etc/image-version; then
   echo "OpenSPA image"
   cp -rf $TMPDIR/openspa/* / > /dev/null 2>&1
   cp -rf $BINPATH /var/bin > /dev/null 2>&1
elif grep -qs -i "titannit" /etc/image-version; then
   echo " OpenAFF-Titan image"
   cp -rf $TMPDIR/AFF/* / > /dev/null 2>&1
   cp -rf $BINPATH /usr/bin/ > /dev/null 2>&1
elif grep -qs -i "openATV" /etc/image-version; then
   echo "openATV image"
   cp -rf $TMPDIR/openatv/* / > /dev/null 2>&1
   cp -rf $BINPATH /usr/bin > /dev/null 2>&1
elif grep -qs -i "PURE2" /etc/image-version; then
   echo "PURE2 image"
   if [ ! -r /usr/bin/cam ]; then
        mkdir -p /usr/bin/cam > /dev/null 2>&1
   fi
   cp -rf $TMPDIR/pbnigma/* / > /dev/null 2>&1
   cp -rf $BINPATH /usr/bin/cam > /dev/null 2>&1
elif grep -qs -i "rudream" /etc/image-version; then
   echo "ruDREAM image"
   cp -rf $TMPDIR/rudream/* / > /dev/null 2>&1
   cp -rf $BINPATH /usr/bin > /dev/null 2>&1
elif grep -qs -i "Peter" /etc/issue.net; then
   echo "PeterPan image"
   cp -rf $TMPDIR/PeterPan/* / > /dev/null 2>&1
   cp -rf $BINPATH /usr/bin > /dev/null 2>&1
elif grep -qs -i "OpenEight" /etc/image-version; then
   echo "OpenEight image"
   cp -rf $TMPDIR/openeight/* / > /dev/null 2>&1
   cp -rf $BINPATH /usr/bin > /dev/null 2>&1
elif grep -qs -i "openMips" /etc/image-version; then
   echo "OpenMips image"
   if [ ! -r /usr/bin/cam ]; then
        mkdir -p /usr/bin/cam > /dev/null 2>&1
   fi
   cp -rf $TMPDIR/openmips/* / > /dev/null 2>&1
   cp -rf $BINPATH /usr/bin/cam > /dev/null 2>&1
elif grep -qs -i "OpenPlus" /etc/image-version; then
   echo "OpenPlus image"
   cp -rf $TMPDIR/OpenPlus/* / > /dev/null 2>&1
   cp -rf $BINPATH /usr/bin > /dev/null 2>&1
elif grep -qs -i "OpenBox" /etc/issue; then
   echo "OpenBox image"
   cp -rf $TMPDIR/openpli/* / > /dev/null 2>&1
   cp -rf $BINPATH /usr/bin > /dev/null 2>&1
elif grep -qs -i "teamBlue" /etc/image-version; then
   echo "teamBlue image"
   cp -rf $TMPDIR/teamBlue/* / > /dev/null 2>&1
   cp -rf $BINPATH /usr/bin > /dev/null 2>&1
elif [ -r $BLACKHOLE ]; then
   echo "Blackhole image"
   cp -rf $TMPDIR/BH/* / > /dev/null 2>&1
   cp -rf $BINPATH /usr/bin > /dev/null 2>&1
elif [ -f $OPENBH ]; then
   echo "OpenBlackhole image"
   cp -rf $TMPDIR/BH/* / > /dev/null 2>&1
   cp -rf $BINPATH /usr/bin > /dev/null 2>&1
elif [ -r $MEDIASAT ]; then
   echo "MediaSat image"
   cp -rf $TMPDIR/BH/* / > /dev/null 2>&1
   cp -rf $BINPATH /usr/bin > /dev/null 2>&1
elif [ -r $TSIMAGE ]; then
   echo "OpenTS/Ts image"
   if [ ! -r /usr/bin/cam ]; then
        mkdir -p /usr/bin/cam > /dev/null 2>&1
   fi
   cp -rf $TMPDIR/ts/* / > /dev/null 2>&1
   cp -rf $BINPATH /usr/bin/cam > /dev/null 2>&1
elif [ -r $VTI ]; then
   echo "VTI image"
   cp -rf $TMPDIR/vti/* / > /dev/null 2>&1
   cp -rf $BINPATH /usr/bin > /dev/null 2>&1
elif [ -r $NEWNIGMA2 ]; then
   echo "newnigma2 image"
   cp -rf $TMPDIR/newnigma2/* / > /dev/null 2>&1
   cp -rf $BINPATH /usr/bin > /dev/null 2>&1
elif [ -r $MERLIN3 ]; then
   echo "Merlin3 image"
   if [ ! -r /usr/bin/cam ]; then
        mkdir -p /usr/bin/cam > /dev/null 2>&1
   fi
   cp -rf $TMPDIR/Merlin3/* / > /dev/null 2>&1
   cp -rf $BINPATH /usr/bin/cam > /dev/null 2>&1
elif [ -r $DREAMELITE ]; then
   echo "Dream-Elite image"
   if [ ! -d /var/bin ]; then
      ln -sfn /usr/bin /var/bin
   fi
   cp -rf $TMPDIR/dreamelite/* / > /dev/null 2>&1
   cp -rf $BINPATH /usr/bin > /dev/null 2>&1
elif [ -r $Demoni ]; then
   echo "DDD-Demoni image"
   cp -rf $TMPDIR/dddemon/* / > /dev/null 2>&1
   cp -rf $BINPATH /usr/bin > /dev/null 2>&1
elif [ -r $OPENDROID ]; then
   echo "OpenDroid image"
   cp -rf $TMPDIR/opendroid/* / > /dev/null 2>&1
   cp -rf $BINPATH /usr/bin > /dev/null 2>&1
elif [ -r $EGAMI ]; then
   echo "Egami image"
   if [ ! -d /var/bin ]; then
      ln -sfn /usr/bin /var/bin
   fi
   cp -rf $TMPDIR/egami/* / > /dev/null 2>&1
   cp -rf $BINPATH /usr/bin > /dev/null 2>&1
elif [ -r $Satdreamgr ]; then
   echo "SatdreamGr image"
   cp -rf $TMPDIR/satdreamgr/* / > /dev/null 2>&1
   cp -rf $BINPATH /usr/bin > /dev/null 2>&1
elif [ -r $Powerboard ]; then
   echo "PBnigma-VIX image"
   if [ ! -r /usr/bin/cam ]; then
        mkdir -p /usr/bin/cam > /dev/null 2>&1
   fi
   cp -rf $TMPDIR/pbnigma/* / > /dev/null 2>&1
   cp -rf $BINPATH /usr/bin/cam > /dev/null 2>&1
elif [ -r $PKT ]; then
   echo "PKT image"
   if [ ! -d /var/bin ]; then
      ln -sfn /usr/bin /var/bin > /dev/null 2>&1
   fi
   if [ -d /var/keys ]; then
      mkdir -p /usr/keys > /dev/null 2>&1
      cp -rf /var/keys/* /usr/keys > /dev/null 2>&1
      rm -r /var/keys > /dev/null 2>&1
   fi
   ln -sfn /usr/keys /var/keys > /dev/null 2>&1
   if [ -d $CONFIGPATH ]; then
      cp -rf $CONFIGPATH/* /usr/keys > /dev/null 2>&1
      rm -r $CONFIGPATH > /dev/null 2>&1
      ln -sfn /usr/keys $CONFIGPATH > /dev/null 2>&1
   else
      ln -sfn /usr/keys $CONFIGPATH > /dev/null 2>&1
   fi
   cp -rf $BINPATH /var/emu > /dev/null 2>&1
elif grep -qs -i "OpenNFR" /etc/image-version; then
   echo "OpenNFR image"
   if [ ! -r /usr/emu ]; then
        mkdir -p /usr/emu > /dev/null 2>&1
   fi
   cp -rf $BINPATH /usr/emu > /dev/null 2>&1
elif [ -r $OPENVIX ]; then
   echo "OpenVIX image"
   if [ ! -r /usr/softcams ]; then
        mkdir -p /usr/softcams > /dev/null 2>&1
   fi
   cp -rf $TMPDIR/openvix/* / > /dev/null 2>&1
   cp -rf $BINPATH /usr/softcams > /dev/null 2>&1
elif [ -r $Domica ]; then
   echo "Domica image"
   cp -rf $TMPDIR/domica/* / > /dev/null 2>&1
   cp -rf $BINPATH /usr/bin > /dev/null 2>&1
elif [ -r $HDMU ]; then
   echo "HDMU image"
   if [ ! -r /usr/emu ]; then
        mkdir -p /usr/emu > /dev/null 2>&1
   fi
   cp -rf $TMPDIR/HDMU/* / > /dev/null 2>&1
   cp -rf $BINPATH /usr/emu > /dev/null 2>&1
elif [ -r $OPENLD ]; then
   echo "OpenLD image"
   cp -rf $TMPDIR/openld/* / > /dev/null 2>&1
   cp -rf $BINPATH /usr/bin > /dev/null 2>&1
elif [ -r $LT ]; then
   echo "LT image"
   cp -rf $TMPDIR/LT/* / > /dev/null 2>&1
   cp -rf $BINPATH /usr/bin > /dev/null 2>&1
elif [ -r $TDW ]; then
   echo "TDW image"
   if [ ! -r /usr/bin/cam ]; then
        mkdir -p /usr/bin/cam > /dev/null 2>&1
   fi
   cp -rf $TMPDIR/TDW/* / > /dev/null 2>&1
   cp -rf $BINPATH /usr/bin/cam > /dev/null 2>&1
elif [ -r $OPENHDF ]; then
   echo "OpenHDF image"
   cp -rf $TMPDIR/HDF/* / > /dev/null 2>&1
   cp -rf $BINPATH /usr/bin > /dev/null 2>&1
elif [ -r $OPENESI ]; then
   echo "OpenESI image"
   cp -rf $TMPDIR/OpenESI/* / > /dev/null 2>&1
   cp -rf $BINPATH /usr/bin > /dev/null 2>&1
elif [ -r $NonSoloSat ]; then
   echo "NonSoloSat image"
   if [ ! -r /usr/bin/cam ]; then
        mkdir -p /usr/bin/cam > /dev/null 2>&1
   fi
   cp -rf $TMPDIR/NssPanel/* / > /dev/null 2>&1
   cp -rf $BINPATH /usr/bin/cam > /dev/null 2>&1
elif grep -qs -i "openpli" /etc/issue; then
   echo "OpenPLI image"
   cp -rf $TMPDIR/openpli/* / > /dev/null 2>&1
   cp -rf $BINPATH /usr/bin > /dev/null 2>&1
elif grep -qs -i "openvision" /etc/issue; then
   echo "OpenVision image"
   cp -rf $TMPDIR/openpli/* / > /dev/null 2>&1
   cp -rf $BINPATH /usr/bin > /dev/null 2>&1
elif [ -r $SATLODGE ]; then
   echo " Satlodge image"
   cp -rf $TMPDIR/satlodge/* / > /dev/null 2>&1
   cp -rf $BINPATH /usr/bin/ > /dev/null 2>&1
else
rm -r $TMPDIR > /dev/null 2>&1
rm -r $CHECK > /dev/null 2>&1
echo "***************************************************"
echo "*                                                 *"
echo "* No emu script to this image now .. ask about it *"
echo "*                                                 *"
echo "***************************************************"
exit 1
fi
fi
######### checking config files #########
echo "";
if [ -f /etc/CCcam.cfg ]; then
   echo "[ Config CCcam Files found ]"
else
   echo "[ Config CCcam Files Not found ]"
   cp -rf /tmp/RAED/etc/* /etc > /dev/null 2>&1
fi
######### checking OpenPLI softcam symlink #########
if [ -f /etc/init.d/softcam.None ]; then
   if type update-rc.d >/dev/null 2>/dev/null; then
	   if [ -n "$D" ]; then
		   OPT="-r $D"
	   else
		   OPT="-s"
	   fi
	   update-rc.d $OPT softcam defaults 50 > /dev/null 2>&1
   fi
fi
